registerOutputEvent("fxDTSBrick","setDoorState","bool 0",0);
//shows a checkbox

function fxDTSBrick::setDoorState(%this,%bool) 
{ 
	%data=%this.getDataBlock();
    
	%name=%data.getName();
    
	if(%name!$="brickSimplePrintDoorOpenData" && %name!$="brickSimplePrintDoorData")
	return;
    
	if(%bool && %data!$="brickSimplePrintDoorOpenData")
       
	%this.setDataBlock("brickSimplePrintDoorOpenData");
    
	else 

	if(!%bool && %data!$="brickSimplePrintDoorData")

	%this.setDataBlock("brickSimplePrintDoorData");
}

//Datablocks

datablock fxDTSBrickData(brickSimplePrintDoorData)
{
	brickFile = "./BasicSPDoor.blb";
	category = "Special";
	subCategory = "Interactive";
	uiName = "SimplePrintDoor";
	iconName = "Add-Ons/Brick_SimplePrintDoors/SimplePrintDoor";
        hasPrint = 1;
	printAspectRatio = "ModTer";
	alwaysShowWireframe = true;
};

datablock fxDTSBrickData(brickSimplePrintDoorOpenData)
{
	brickFile = "./BasicSPDoor_Swing.blb";
	category = "";
	subCategory = "";
	uiName = "Single Door Open";
	iconName = "";
        hasPrint = 1;
	printAspectRatio = "ModTer";
	alwaysShowWireframe = true;
        CollisionShapeName = "./BasicSPDoor_Swing.dts";
};

//Events

package SimplePrintDoor
{

function brickSimplePrintDoorData::OnPlant(%blah,%brick)
{
	Parent::OnPlant(%blah,%brick);

	%enabled     = 1;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "ToggleEventEnabled";
	%var1        = "1 2";
	%brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent, %var1);

	%enabled     = 1;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "setDoorState";
	%var1        = "1";
	%brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent, %var1);

	%enabled     = 0;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "setDoorState";
	%var1        = "0";
	%brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent, %var1);
}

};

ActivatePackage(SimplePrintDoor);